//
//  DRAppDelegate.m
//  Dragon Rouge Status Menu
//
//  Created by Meyric Rawlings on 20/05/2013.
//  Copyright (c) 2013 Dragon Rouge Ltd. All rights reserved.
//

#import "DRAppDelegate.h"

@implementation DRAppDelegate

@synthesize statusMenu = statusMenu;
@synthesize statusBar = statusBar;

- (void)dealloc
{
    [super dealloc];
    [statusBar release];
    [statusMenu release];
}

- (void) awakeFromNib {
    
    NSStatusBar *bar = [NSStatusBar systemStatusBar];
    
    statusBar = [bar statusItemWithLength:NSVariableStatusItemLength];
    [statusBar retain];
    
    
    NSImage *menuBarIcon = [NSImage imageNamed:@"dr_logo_menu_bar.png"];
    [statusBar setImage: menuBarIcon];

    [statusBar setMenu: self.statusMenu];
    [statusBar setHighlightMode: YES];
}

-(IBAction)connectToServer:(id)sender {
    [[NSWorkspace sharedWorkspace] openURL:[NSURL URLWithString:@"afp://files.dragonrouge.co.uk"]];
}

@end
